commit 5f2e13be175f7e771648bf5931f8f76fed5e7c3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:02 2022 -0400

    readme

commit 8bd3691cb253f6b0634c51ec25e1e1abd1fea42b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:30 2022 -0400

    copyright

commit 5930cc964061991f96b5ff82a8f2334d296c7be9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:37:31 2022 -0400

    readme

commit 48e90ec01165e09d1940c2261cd87f798c34aecc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 08:21:22 2022 -0500

    bumped changelog version

commit da5e8a834380e520877ec51f2bcfe78e3e688cf3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 08:18:06 2022 -0500

    ConditionPathExists=!/run/qubes-service/no-sdwdate

commit 41cc2ba3af6de89671179eb80a00978c80d53673
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:28 2021 -0500

    readme

commit 9307325406ed346c560713fc59fdc3a2abd553cd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 04:07:45 2021 -0400

    bumped changelog version

commit 3b2c68137002add0126462bc8bc03f1d26f8922a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Sep 21 03:31:11 2021 -0400

    sdwdate-aae.service: backport changes from sdwdate

commit 02eed7ce0df059bf544703ef4988d283f8941452
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:34:54 2021 -0400

    bumped changelog version

commit e0735afb2f477cb41eb0f79b2c1a733661fce0a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:08 2021 -0400

    readme

commit b300fa515756c931d0d564072ef9a69a47249812
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:27:55 2021 -0400

    bumped changelog version

commit f26c2fa603ba1fd8c6d91b04473758b2f9eed7cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:21:17 2021 -0400

    LANG=C str_replace

commit 5326193e2fca6cc22e3e0f75fff38cae3e2abc3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 15:05:32 2021 -0400

    bumped changelog version

commit d2090fdce8f0a0cf90654fe101ba0ea6f8abdc08
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 15:05:31 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit f2350b4f2bf4724e6dc578ece8a3d846102b3a7a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 14:49:59 2021 -0400

    genmkfile debinstfile

commit 51d75f497ac629d7d82f8c96623edd985b52bf85
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 14:47:38 2021 -0400

    rm_conffile /etc/apparmor.d/sbin.networking-aae

commit c57bc3aa485f82dc755c80a4b57415e92cad5330
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 14:45:59 2021 -0400

    update path

commit 895ddd1c06289dab673906cbdf19d61ea1bdf794
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 14:45:17 2021 -0400

    usrmerge - renamed:    etc/apparmor.d/sbin.networking-aae -> etc/apparmor.d/usr.sbin.networking-aae

commit 2bc3770260e5f7a4902ddafaf18efa895f136186
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 14:44:27 2021 -0400

    update path

commit 6d70eefe95d3399faed96352a339810393e4833a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 14:42:29 2021 -0400

    usrmerge - renamed:    sbin/networking-aae -> usr/sbin/networking-aae

commit e8c5225b81291458f2c28862033dcabd7ab53f8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:32:53 2021 -0400

    bumped changelog version

commit 2107691e2593077f65fa475f9d50cb72e0bd4e0b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:25:06 2021 -0400

    lintian

commit cd7e633dd50a482a6fdd1204466dba540b1f6575
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 12:45:03 2021 -0400

    lintian FHS

commit 0deba67e5d231d65edb0d99710ba2c9b1571cc6b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:56:30 2021 -0400

    move /usr/lib/security-misc to /usr/libexec/security-misc as per lintian FHS

commit 46a74a9d8e669e24ab184b40cb497d3ca75d47cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:51 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit e2dd24d4e8b53a84483d15299fc71a6d10d6c4fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:31 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 4a039883bcf337853b9719891eb4bb1e2066e032
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:41:31 2021 -0400

    man page

commit 7371d1c1f7a2fec2f1befc3d0f8d602dd822c051
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:17 2021 -0400

    bullseye

commit 0d732400262ac42e3d4dff7ed43c6ddd2f74c24a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:21 2021 -0400

    readme

commit d1cce42fc7b353e37d4dc1016a687c01187061c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 10 09:57:54 2021 -0400

    bumped changelog version

commit db2c8ebcad529507529f434f68eda7b797526851
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 10 09:56:23 2021 -0400

    comment

commit 8f9ea2819928f8c19256fc51b27d08a6e44fc4e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 9 11:02:04 2021 -0400

    bumped changelog version

commit f186172201f1c6416f81659171a9a773e92b58bd
Merge: 999a3be 7d4fd68
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 8 01:48:34 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 7d4fd680a86da1cbd399ff93cf2502743f7240db
Merge: 999a3be ded4058
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 8 01:47:15 2021 -0400

    Merge pull request #74 from madaidan/denials
    
    Fix various denial errors

commit ded4058ba369e00409c761b2c9a3126beb0f6fb3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jun 7 19:48:32 2021 +0000

    Fix various denial errors

commit 999a3be69d7162bea188423816f305d7cd6ae425
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 19:31:28 2021 -0400

    bumped changelog version

commit c88167c5a551c2a55746e1456dd117463e6cd175
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 16:42:18 2021 -0400

    copyright

commit d3eccd40b1547114159ef5309518a75f14800391
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 16:39:35 2021 -0400

    proper whitespace handling
    
    https://www.whonix.org/wiki/Dev/bash

commit 48c2f95b80ab9c95c13bf50532746b3c461e41d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:00:01 2021 -0400

    bumped changelog version

commit 4a8f5d22c12c1916d2668d73aa6e7b7db24970a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:18 2021 -0400

    copyright

commit 77d6d81f4d3d18ae0d189449168964d982afd2ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:41:52 2021 -0400

    bumped changelog version

commit 0fa0450d9df0a03aa736995188955f7476fb9a17
Merge: b6b6f37 b1160bc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 05:39:40 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit b1160bcf189b6308bba9b9a480914cdd4de2f511
Merge: b6b6f37 d35a5c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 05:38:37 2021 -0400

    Merge pull request #73 from madaidan/tunable
    
    Include init-systemd tunables

commit d35a5c59d78ac820ff6d683d8ce4bcf13bdd017b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 17 23:39:13 2021 +0000

    Include init-systemd tunables

commit b6b6f37eb862ce1491b9e23756e999b0a1809792
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:58:15 2021 -0400

    bumped changelog version

commit fee94e58307b160a9939dcbb594d0997f2fe2c44
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:58:14 2021 -0400

    readme

commit 8a93ae020de380e5b34d9798d9ded3d694d75cee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:11 2021 -0400

    copyright

commit 3b02e40766cbded551f1813f66057412b397e55d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 28 02:53:15 2020 -0500

    bumped changelog version

commit b2a2149250f0cda62a395c2bb9b2d181b4631e25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 28 02:52:59 2020 -0500

    fix linitian warning

commit e4500cfe70c514f85266be6bdbba63835b327063
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 07:29:08 2020 -0500

    bumped changelog version

commit 1092823ced85c918996b537ffa83b0307e10d0bc
Merge: 408c99f 7c2fdb7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 03:00:36 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 7c2fdb7580e7726c63bee29cf791f5de84bb51ad
Merge: 408c99f 452f89c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 07:57:52 2020 +0000

    Merge pull request #71 from madaidan/fixes
    
    Fixes

commit 452f89c7bc83851f7bca2612dffad784ea2bfd91
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 24 19:20:09 2020 +0000

    Fixes

commit 408c99fd857e8aff49ab25c89cc0b0242c2f3145
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 18 06:55:27 2020 -0500

    bumped changelog version

commit a04fd9a0014fe76adf649c4a815722be47b4a868
Merge: 28d0cce da35f2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 18 04:01:45 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit da35f2f0823ae3fad67a131df89bf08d37bab15f
Merge: 28d0cce d9a96bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 18 09:00:42 2020 +0000

    Merge pull request #70 from madaidan/master
    
    Add sys_pci and dev_ttys tunables

commit d9a96bf99de9b599559e1539f1a4b46d56b52860
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 17 19:04:47 2020 +0000

    Correct file name

commit 020944cec92e2dfc97bc4831adf31be1001befac
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 17 18:59:35 2020 +0000

    Add sys_pci and dev_ttys tunables

commit 28d0ccee3cc79f216d5c5b7447d76d2bea00af83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 03:37:33 2020 -0500

    bumped changelog version

commit fa2e0116ade97c8fb770728d10d00d5077c37cb3
Merge: e176137 f2af21b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 03:37:20 2020 -0500

    Merge remote-tracking branch 'github/master'

commit f2af21b3314e19a23bda06e17b9cb4e53a0fa987
Merge: b244274 aa1ebba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 08:36:19 2020 +0000

    Merge pull request #69 from madaidan/apt-systemd-daily
    
    Create apt.systemd.daily AppArmor profile

commit aa1ebba7cb1f12202ebc7f9039b9750013dba63e
Merge: 25f7fee b244274
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 08:35:57 2020 +0000

    Merge branch 'master' into apt-systemd-daily

commit b244274476027bb8241885b0a119d4dc86c56dc7
Merge: e176137 f771efb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 08:30:01 2020 +0000

    Merge pull request #68 from madaidan/lsblk
    
    Create lsblk AppArmor profile

commit f771efbf6b19b153c868175c7deb055303b28bb5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 23:45:41 2020 +0000

    Include file

commit 25f7fee08f7b571dc6be214f15a1e9c34e04da3a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 23:44:04 2020 +0000

    Remove unnecessary permission

commit 6ae2b726fd9d63d89e3e1a458640247381c52076
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 23:43:37 2020 +0000

    Add apt.systemd.daily profile

commit c1c5fd39d2833d0d73031c06a825c4f9f036741d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 23:42:51 2020 +0000

    Create apt.systemd.daily profile

commit 2e0eeadfdf89c261c8c06ca6f9c7779ac6840af0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 22:46:34 2020 +0000

    Add lsblk profile

commit 7be7adea8451839d57e66866f1cb1856b8dd977e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 22:45:50 2020 +0000

    Create lsblk profile

commit e1761370b6116b6889b5493ade318b98c03120d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 16:41:16 2020 -0500

    bumped changelog version

commit 066c1093331ac51ac01d2afecdfead2b10d485d8
Merge: fdfd45c 15813b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 16:00:55 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 15813b74a1ce284540261e94a29e10cbe0393aa0
Merge: fdfd45c 3f04477
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 20:58:24 2020 +0000

    Merge pull request #67 from madaidan/cleanup
    
    Cleanup and fix a few things

commit 3f044774ac2331da6e52a3667463708212b5700d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:25:45 2020 +0000

    dbus-daemon needs to read cmdline files it doesn't own

commit d5e264269fedd3e01071181fb059216032246be0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:22:43 2020 +0000

    Remove dangerous-files abstraction
    
    This abstraction is inherently antithetical to apt's duties. It will likely never be enabled so remove the useless line.

commit ddb3e605b9fc442696896aa6890a996f040600f5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:18:01 2020 +0000

    Use tunable

commit f1a614af1dbdc971233289adf84f2465593f40c1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:16:37 2020 +0000

    Cleanup

commit 7fbb87dde5f2bc71952080a343de13e04fed1d0b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:15:45 2020 +0000

    Cleanup

commit 5a513f6a102b6b351755dbb66e8008650b779845
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:14:12 2020 +0000

    Cleanup

commit 1cb914f2cc12fd4bc32d5ad8ae07d56ca9c889ea
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:10:48 2020 +0000

    Cleanup

commit 1560b68e0935e56bbec0edb4c46999f9b9a9c476
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:07:59 2020 +0000

    Cleanup

commit 4e6d7b24403193b3cbda6d89554e3022d7fffc28
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:06:37 2020 +0000

    Cleanup

commit fdfd45c69681d1dfa3eff7cdd6d0a0ebbd3a182e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:30:33 2020 -0400

    bumped changelog version

commit 650843adeecc2b237643c4350ec63f48f709d945
Merge: 02a3db8 366230d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 12:30:23 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 366230d84a3cb585e2763fd1076b12a0b2fa296a
Merge: 02a3db8 5be0b01
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 13 16:30:04 2020 +0000

    Merge pull request #66 from madaidan/shared
    
    Permit access to shared folders

commit 5be0b010b031a5e2ca4e1c5e958b2f5329a351f1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Oct 12 22:21:09 2020 +0000

    Permit access to shared folders

commit 02a3db8a76178547b38959c377857fae30170f5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 07:01:22 2020 -0400

    bumped changelog version

commit e34e0306045c2e4ebd3e0bb5be1e70387072f248
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 07:01:21 2020 -0400

    readme

commit 5789b5fd27204c3e549454112dbd23f454d6299e
Merge: 9da8ce6 4f7058c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 06:22:07 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 4f7058c7a1d7743608f87171488279348c02912f
Merge: 9da8ce6 9c90eb9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 10:13:47 2020 +0000

    Merge pull request #65 from komachi/kicksecure-shred
    
    Add shred to kicksecure-shell-script abstraction

commit 9c90eb95e4368dc35a9a35bcb21cbca1d914b6f8
Author: Anton Nesterov <anton@nesterov.cc>
Date:   Sun Oct 4 22:15:53 2020 +0000

    add shred to kicksecure-shell-script abstraction

commit 9da8ce6c270132b48748ed33723b2e0a0900f882
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:29:15 2020 -0400

    bumped changelog version

commit 0cfe179842d0a01a9273a82d2148a939c984b406
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:29:14 2020 -0400

    readme

commit 22ffb3a70eb2c656ea3e393fa20716cfd7b179b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:28:56 2020 -0400

    fix lintian warning
    
    W: apparmor-profile-everything: spelling-error-in-description allows to allows one to

commit 3551df6f35c5859f69a501c43dd4d14ed3ad7bdb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:26:14 2020 -0400

    bumped changelog version

commit 0d016266e6e1fbd1f53a32970279e895083f04c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:26:14 2020 -0400

    readme

commit 0075b1014d5beaf74cdc0251afd666c53af2139f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:25:33 2020 -0400

    Don't displace sdwdate.service
    
    since we already config-package-dev hide it

commit f1251fd1a87debae8dd92c63a176a5f6ceeb5f67
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:20:01 2020 -0400

    fix lintian warning apparmor-profile-everything: using-first-person-in-description line 2: us

commit ff5bf82139ba62678d6cf30811d62ab373970a1a
Merge: 37648b5 5106056
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 08:17:46 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 5106056d3431c060dd324a27bb8eb1e8cd285dfc
Merge: 37648b5 f5bd3fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 29 12:16:41 2020 +0000

    Merge pull request #64 from madaidan/desc
    
    Expand description

commit f5bd3febad14d9f81707bf41fbe1ca6fcbb6fbd9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Sep 29 11:52:30 2020 +0000

    Mention boot modes and rapt

commit 8808ea0686da8448ed694cec4541e8f14904bda3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Sep 29 11:36:44 2020 +0000

    Update control

commit 54f8bd80cb751bcf147ec69964a4dc0d09a63702
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Sep 29 11:36:03 2020 +0000

    Expand description

commit 37648b576868f02bc0616dac468209e4cb33d943
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 04:05:58 2020 -0400

    bumped changelog version

commit 656457c3fa5dff7664df0267188c17ed7b665e79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 5 04:05:57 2020 -0400

    readme

commit 9d2dfb7def715f5ec26cdacb04b0370c0d9e3737
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 4 05:34:58 2020 -0400

    description

commit ccf22e49209efd227a0db1f10996669ef7f7bfe3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 17 11:41:16 2020 -0400

    bumped changelog version

commit 86fde952a58fdd8c27f72b6a0c8916ad3235af06
Merge: c8090dd 0c55e6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 17 03:15:15 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 0c55e6b81e08570c1cbbfac064938b4b29f4959f
Merge: c8090dd 099a09f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 17 07:13:51 2020 +0000

    Merge pull request #63 from madaidan/sdwdate
    
    Don't displace sdwdate.service

commit 099a09f07e0d32e01c75020697f42136e3ec55ab
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jun 16 19:43:01 2020 +0000

    Don't displace sdwdate.service

commit c8090dda2c20867fa7d62fee9ee627b842d57327
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 16 09:31:47 2020 -0400

    bumped changelog version

commit 1ed03a2e88c4ca6d484b298c41c6d9621bb4312f
Merge: 3a81d8e 0972c3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 16 08:51:47 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 0972c3b98e478abddb768e377a4beb758cfb779f
Merge: 3a81d8e 7301540
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 16 12:50:40 2020 +0000

    Merge pull request #62 from madaidan/rsyslogd
    
    Add rsyslogd profile

commit 730154093bc8d694703f757c5070c83ad0ae53f1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jun 16 01:49:48 2020 +0000

    Add rsyslogd profile

commit 3a81d8ec4faaaae05f8997d9c0cae9bb700c9a30
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 14 12:54:20 2020 -0400

    bumped changelog version

commit ac6da7c83eecadccd593ae230cb10a88dfbdd1c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 14 11:32:44 2020 -0400

    fix lintian warning

commit 3640245a6450f24ca14d172d64ef85dcf03662fb
Merge: 82b469f a91b8c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 14 10:44:37 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit a91b8c269da954e41a79c2ec2172a64a0b21572c
Merge: 82b469f 77d3939
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 14 14:43:39 2020 +0000

    Merge pull request #61 from madaidan/systemd
    
    Disable sdwdate systemd sandboxing and onion-grater apparmor profile

commit 77d393953f91c6646b1487bb65e254cf44807a9b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jun 14 00:43:58 2020 +0000

    This isn't haveged

commit 6758bf7892943a80171d90a1f00cb0314a5a23f0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 13 20:02:40 2020 +0000

    Displace sdwdate service

commit d32f021bb7519badd986864dcfff4fee647013eb
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 13 19:59:35 2020 +0000

    Hide onion-grater apparmor profile

commit 2bada562d4eaa1d61ae36549f3e0ee340f884933
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 13 19:56:47 2020 +0000

    Disable sdwdate sandboxing

commit c7a641fbae07de390c9f67c1116dd63c07cba306
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 13 19:54:26 2020 +0000

    Add sdwdate systemd service

commit 82b469f6b3631c5202eefae286966e56f01397b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 13 09:45:30 2020 -0400

    bumped changelog version

commit e3f637049a2999e7f321e53bd4e234e2337b22cf
Merge: f967f7a b37d8a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 13 09:35:01 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit b37d8a5934d3d45e62ed2d25008e5f80cfac1476
Merge: 1ba9717 f959c36
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 13 13:27:16 2020 +0000

    Merge pull request #60 from madaidan/haveged
    
    Fix the haveged systemd service

commit 1ba97178dec6d07f88e3b6ef68beab4ebbc2aff9
Merge: 58978ba 177c8a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 13 13:26:54 2020 +0000

    Merge pull request #59 from madaidan/dangerous-files
    
    Clean up dangerous-files

commit 58978ba43e13dab234c3fdea60187581efa61f5c
Merge: f967f7a c431d6e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 13 13:24:24 2020 +0000

    Merge pull request #58 from komachi/beatify-and-fix
    
    Beatify apparmor profiles

commit f959c367ec7e53eb49a9a9b6a066f3dd8613e9e1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 13 01:24:05 2020 +0000

    Fix the haveged systemd service

commit 177c8a2dcb703d701487c9767984786ad21f191f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 13 00:47:44 2020 +0000

    Clean up dangerous-files

commit c431d6e6c785bc5e4745e6269862d3dfb06c5a76
Author: Anton Nesterov <anton@nesterov.cc>
Date:   Fri Jun 12 18:27:28 2020 +0000

    Beatify apparmor profiles
    - use /{,usr/}bin everywhere, some denials on debian stable caused by that
    - use apparmor vars where possible
    - #include if exists
    - fix xorg spamming the log with ptrace

commit f967f7a97d2b88eaff24e26e64e5d06eed41682a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 10 04:55:58 2020 -0400

    bumped changelog version

commit d26cd219e1215d771327713cc6e510a18fbbe1ba
Merge: 9e2a861 3fabfcf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 23:49:01 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 3fabfcffd78080b24b1eba4475131590fde3a0f8
Merge: 9e2a861 f7a1410
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 7 03:48:40 2020 +0000

    Merge pull request #57 from madaidan/spice-vdagent
    
    Fix spice-vdagent local files

commit f7a1410cfb824d76a344a9174b6ebd63f63be8d8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed May 6 20:00:40 2020 +0000

    Fix spice-vdagent local files

commit 9e2a861833fc1306da2d79a531f869b0a8126978
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 14:59:21 2020 -0400

    bumped changelog version

commit fd8b591f7c75f9fda298cb808f8f2744c9ef55f1
Merge: 94c87b9 dad816b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 14:45:29 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit dad816b88d75511c06213360a48d8bb995213efc
Merge: 94c87b9 cb2b280
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 18:44:46 2020 +0000

    Merge pull request #56 from komachi/fix-xorg
    
    Fix xorg apparmor profile

commit cb2b280427a6c6cc928c8fe31cc78808a69175b2
Author: Anton Nesterov <anton@nesterov.cc>
Date:   Wed May 6 17:09:48 2020 +0000

    Fix xorg apparmor profile, now it works

commit 94c87b9c030111a0d72dbc1d968930c5bbd41161
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 17 10:03:57 2020 -0400

    bumped changelog version

commit 72f39a84d11fbc3fb1479975c2d37c1b53d372a9
Merge: fd760d7 0207a21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 17 06:45:38 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 0207a211656753e0627ce93d7a2e47b5fdaa1270
Merge: fd760d7 f24f451
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 17 10:25:43 2020 +0000

    Merge pull request #55 from madaidan/spice-vdagent
    
    Add spice-vdagent profile

commit f24f451d32d287b70ec143bff6e2e3eaf19530ff
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Apr 16 22:41:13 2020 +0000

    Debian packaging

commit 5e7667a247ecfc2138b3568bdb11b45b3404751e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Apr 16 23:33:23 2020 +0000

    Include local files

commit b880a89bc319f9a8b997ccafa805d0d05b14107a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Apr 16 18:03:01 2020 +0000

    Add spice-vdagent profile

commit fd760d7062b4632d168b019f7e76b4c8796df7d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:23:44 2020 -0400

    bumped changelog version

commit e7724c713054ece1794894eab0b8a63c09ff23c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:28 2020 -0400

    readme

commit 20e86c1a336077a2d48a9905866a95aa7bbd50e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 12:39:53 2020 -0400

    bumped changelog version

commit 7ea8ba87d6e5f27131073c1919a87f6931e808d8
Merge: ad325ca 3d0215c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 08:13:13 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 3d0215c00b70787d554cbea2c07e40e7e6e47d15
Merge: ad325ca c156ac0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 14 12:12:30 2020 +0000

    Merge pull request #54 from madaidan/fixes
    
    Fixes

commit c156ac07391557fc7064fdcbc3b013cf9d683605
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 13 23:51:57 2020 +0000

    Fix

commit dd6a1baef784331a9d5403aac6cfad5218594088
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 13 23:33:23 2020 +0000

    Fix

commit a6075c0b23c6ed9ebe03f7ff08182f56041e44da
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 13 23:19:52 2020 +0000

    Fixes

commit 674241467c2251d7e41f1c7e4fd4ce4ff4d958ea
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 13 23:18:08 2020 +0000

    Relax ptrace restrictions

commit ad325caa99e3008230e9713817439c2b6c7fd093
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:40:54 2020 +0000

    bumped changelog version

commit 741c4d1f55eee33657af86949981eedc22a7e63d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:03:49 2020 +0000

    remove trailing spaces

commit 73c2a1aa232f71e24e24ee68cc276dd1d8f1b615
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:34:37 2020 -0400

    bumped changelog version

commit 1e06a8890b7ae68152ba651008bca7940d6259db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:18 2020 -0400

    readme

commit d57418a41db9ad1aaf3daf3a593f5dd305bf171f
Merge: 6b07561 1235eb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 06:16:09 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 1235eb89d352fc74c1b0ce5e89ad09ae0217021e
Merge: f966487 7414d98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 10:12:49 2020 +0000

    Merge pull request #53 from madaidan/dbus-daemon
    
    dbus-daemon apparmor profile

commit f966487e4fd29450380280d2015c2a5520f7cb07
Merge: 6b07561 34cccc9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 10:12:22 2020 +0000

    Merge pull request #52 from madaidan/fix
    
    Fixes

commit 6b07561e3ccb2a5e24e82c32e3fe9cdda5b3899e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:34:57 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit be4052f0cfdff360f30778f18f4a3e38c7816a44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:27 2020 -0400

    remove genmkfile

commit eb47bfa7a7f596521cdeee50c6f2948ad8eff7eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:06 2020 -0400

    add debian install file

commit c42a0e7d54c80e4b080259f5fcbaf3c85c5ab15b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:46 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 1df00b6dd04586e07b2606083de4b1b0f58659b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:48:22 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit 4a8d825f6df68a23e8050d61d2126c6acd420f83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:42:06 2020 -0400

    change path to auto generated man pages

commit 7414d985cd5161d3b0a077a501b05e35bab75f20
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 18:48:41 2020 +0000

    dbus-daemon apparmor profile

commit 34cccc9e880304991a1c57070a4a81d58a700db7
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 18:13:03 2020 +0000

    Fixes

commit c426b0ed065c44518b955e31ee2c73aebbe654cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:26:24 2020 -0400

    bumped changelog version

commit 30514e363b323c36e598b2e1ad98ccfac45e1cf5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:15:14 2020 -0400

    copyright

commit 557e418cf9565f6da663302a38fb25ee77a04b15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:52 2020 -0400

    update copyright year

commit 14fc113fa1cfe504428b942e510780fea4d2bd57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:32:43 2020 -0400

    bumped changelog version

commit b26a0018ef670c6ba3bf3db1945921d0af312446
Merge: 4b07587 a55d3cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 04:14:23 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit a55d3cba9ba6b015397556c7433b3528c05436d2
Merge: adb0f6c c0867b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 08:13:48 2020 +0000

    Merge pull request #50 from madaidan/env-scrubbing
    
    Use environment scrubbing everywhere except /lib

commit 4b07587a2e059c1dc40adc8330b6f9fe44ef0efb
Merge: ea66130 adb0f6c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 02:18:52 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit adb0f6c0006b6f0c0576000a5dc72c4e49c2373b
Merge: ea66130 72d9010
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 06:18:33 2020 +0000

    Merge pull request #51 from madaidan/securityfs
    
    Fix securityfs mount

commit 72d9010a0b853665d5f8d2ad6c41c4bfa438709e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 26 20:46:30 2020 +0000

    Fix securityfs mount

commit ea661306094868cbe13bd8440f9f67ea0654a7bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 26 08:13:07 2020 -0400

    bumped changelog version

commit c0867b4be2405f8f79d4792c9f77933121238656
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 25 18:18:19 2020 +0000

    Missing }

commit 6ecb358446fc65dfc9adc416c0c13201ec6cc94e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 25 17:50:25 2020 +0000

    Use environment scrubbing everywhere except /lib

commit fcdc330dbf4a8693b6cc060dcf423fbe56847dbb
Merge: 844ce63 403ebbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 25 02:40:41 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 403ebbf6fc3fdb910fee7f0a95de7ff9cddb6602
Merge: 844ce63 f66836f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 25 02:57:19 2020 +0000

    Merge pull request #49 from madaidan/cleanup
    
    Cleanup

commit f66836f00bcaed0d814a1fdb763603cd347f9bd6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 24 21:45:58 2020 +0000

    Cleanup

commit 03b739c4e3de055a6b2ba72cbd8e1ffe6515379c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 24 21:40:56 2020 +0000

    Cleanup

commit fc73718a3561f43f924308bcf553fe7dcfc2b301
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 24 21:39:29 2020 +0000

    Cleanup

commit ce030e344f9d6aaa10897706953100294ec16867
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 24 21:37:53 2020 +0000

    Cleanup

commit 844ce639498be311b465788b3e6c4a1c8cb06675
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 03:52:33 2020 -0400

    bumped changelog version

commit 4c6ceb5230b2867c2eb861f865e882bda0df0621
Merge: b36054e 13ba39b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 03:10:13 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 13ba39bb86514f6a7ebf76cfc37684695e0f8bda
Merge: 7629cc5 65afa0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 07:07:42 2020 +0000

    Merge pull request #48 from madaidan/cleanup
    
    Cleanup

commit 7629cc5e4ab15fc1615c44a35f87054f85a3ce95
Merge: b36054e b418623
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 07:06:13 2020 +0000

    Merge pull request #47 from madaidan/commas
    
    Remove unneeded commas

commit b41862308d16577a240d2d9f9fa0fe055700bc5f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:43:39 2020 +0000

    Remove unneeded commas

commit 65afa0ea9a9a1b332a630fa5892e6db927389af9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:40:00 2020 +0000

    Cleanu[

commit f7cab122bf682c8ca9f78e11fdd161c25c137f78
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:37:16 2020 +0000

    Cleanup

commit d6cf60b967271d303b23fc8f670424c425716757
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:35:31 2020 +0000

    Cleanup

commit 6d748b47c357102f233a83caedfc63432f4d7775
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:34:47 2020 +0000

    Cleanup

commit 6eeaa27563c2574ef5febb0865a154bad9ad98bd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:33:30 2020 +0000

    Cleanup

commit 52ca494052f7b6549eb7e4bea77a45e6e2ccc43a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:29:31 2020 +0000

    Remove unneeded commas

commit f3d4add54926edc43f51fa2d472cca43992bc4a4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:29:19 2020 +0000

    Remove unneeded commas

commit e09cee4ba55291c0296ef6f052a2eccbe326abd8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Mar 23 19:28:47 2020 +0000

    Remove unneeded commas

commit b36054ec8e3df16fabe4a31d5138b00ad1448ab0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 8 09:42:20 2020 -0400

    bumped changelog version

commit fce7592cd654de15f2c0abacb1d3501d0b7f5f8c
Merge: b037372 0a6f190
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 7 03:50:49 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 0a6f19066ed0bb9a0482351e75046512cfe3bb38
Merge: b037372 8189287
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Mar 7 08:42:03 2020 +0000

    Merge pull request #46 from madaidan/modules_2
    
    Only allow access to module info in debug mode

commit 8189287b24f3a5b872ce24a58f2be5fb34cc7b12
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 6 20:09:13 2020 +0000

    Only allow access to module info in debug mode

commit b037372a957cba09daa265123fe65ba64bc90283
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:34:45 2020 -0500

    bumped changelog version

commit c7d3d1460376ea1148c5531dbe9d26a50d940e84
Merge: 1f67c26 aca0155
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 02:07:10 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit aca01558c58037465ce99092e07db919edb4ae6a
Merge: faee374 13a4803
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 06:46:46 2020 +0000

    Merge pull request #45 from madaidan/modules
    
    Only allow access to module info in debug mode

commit 13a4803001b79e7acca5278e11fe1370abd50b1c
Merge: 5d972a6 faee374
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 06:46:19 2020 +0000

    Merge branch 'master' into modules

commit faee374e142cc60339eed7d98c6501947f695bf3
Merge: 1f67c26 625ba60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 06:45:19 2020 +0000

    Merge pull request #44 from madaidan/mtrr
    
    Remove write access to /proc/mtrr

commit 5d972a6c018c47f60f9ad8a8916f31be78f82bf1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 4 21:05:28 2020 +0000

    Only allow access to module info in debug mode

commit 625ba6018f7d2faa4ca2bcb9b9a82a5250bbd303
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 4 20:58:27 2020 +0000

    Remove write access to /proc/mtrr

commit 1f67c260aad306963706ff4a32d4b4e42075f2d3
Merge: cb42efd 1c23b45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 4 02:52:52 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 1c23b45462beb42c2b76994786a343f8fc3e3727
Merge: 20a6c9f 0e19bcc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 4 07:08:09 2020 +0000

    Merge pull request #43 from madaidan/fixes
    
    Fixes

commit 20a6c9fe31eae998ff952f9e1d9f8e16f059cd00
Merge: cb42efd f10d890
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 4 07:07:50 2020 +0000

    Merge pull request #42 from madaidan/xorg
    
    Add Xorg apparmor profile

commit 0e19bcc441b6efa5d6079134c8b134a3d8b80608
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 3 21:01:18 2020 +0000

    Deny CAP_NET_ADMIN and sysfs hard drive files

commit b0bcbff0297b0eddbed7ee59d7bfb025363d7752
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 3 20:57:38 2020 +0000

    Rapt fixes

commit f10d890eac939d2e42f5db1ae7844a9ca7e8904e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 3 20:50:13 2020 +0000

    Xorg apparmor profile

commit cb42efdab7bb4905981df15233070131e99a7777
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:08:55 2020 -0500

    bumped changelog version

commit 83b984dcac5fe89ac1234a0872332c15d0a03250
Merge: e276abb 59a7a4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 00:48:42 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 59a7a4daef5027cd1af3a919ccde2ac9faf6850a
Merge: c2a2890 879c6a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 05:47:33 2020 +0000

    Merge pull request #40 from madaidan/drives
    
    Deny all access to virtual hard drives

commit 879c6a3e2543cdae1a6ffc3f68c27456cc049a5e
Merge: 725b360 c2a2890
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 05:47:24 2020 +0000

    Merge branch 'master' into drives

commit c2a2890e523d50e265485f55c1091defef77e2d9
Merge: 7442d3b 8e8508c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 05:46:32 2020 +0000

    Merge pull request #39 from madaidan/kcore
    
    Deny access to /proc/kcore and /dev/core

commit 7442d3be277b8b3e913221a0931c1e59bbfdc6c7
Merge: 8654d18 7f842e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 20 05:46:15 2020 +0000

    Merge pull request #41 from madaidan/tty
    
    Only allow access to the current user's terminals

commit 7f842e843080a8553ba34bc72fbef9e98b08472f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 19 21:15:36 2020 +0000

    Only allow access to the current user's terminals

commit 725b3604edfcded651713f6ac379716cd5dcbefc
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 19 21:09:40 2020 +0000

    Deny access to hard drive symlinks

commit 907f3265bf588bd9c226d336da8046deca1c79b7
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 19 21:09:21 2020 +0000

    Deny access to hard drive symlinks

commit 773e901ac99be5a4dd92c0eea98773b2384d0dd3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 19 21:00:02 2020 +0000

    Deny access to virtual hard drives

commit 5b3810489bca8c6dfad00cb0076ed78f295fe01a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 19 20:59:28 2020 +0000

    Deny access to virtual hard drives

commit 8e8508c0fd260054aa626b4df69681137d486eb3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 19 20:48:58 2020 +0000

    Deny access to /proc/kcore and /dev/core

commit 81beb70e0a1d02bfce470fdd317a0112a70a8dbc
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Feb 19 20:44:29 2020 +0000

    Deny access to /dev/core

commit 8654d18e6694a5806b60a63079ac75d83dff20bc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 13 14:11:06 2020 +0000

    bumped changelog version

commit e276abba28a1a45fc71025cedbde2cc05e5a7b56
Merge: 011b9b5 4aa5add
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 12 03:10:21 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 4aa5add01eb3d340d0cb6087b0c0194568b8e770
Merge: 011b9b5 d728ae5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 12 08:08:51 2020 +0000

    Merge pull request #38 from madaidan/networking-aae
    
    Rename networking to networking-aae

commit d728ae5f7405bec7c2fb5af6623113f55a699605
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Feb 11 20:06:04 2020 +0000

    Rename networking to networking-aae

commit 011b9b55affa4c80f723f9a55ed7f21513b74c4e
Merge: 63fdd03 8a23d27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 9 01:21:51 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 8a23d279d1b8dc802bf26ddd98a7e706b1fb1477
Merge: 63fdd03 46a6e90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 9 06:21:27 2020 +0000

    Merge pull request #37 from madaidan/drives
    
    Deny write access to hard drives

commit 46a6e909de7fac0283109b0f9e7ca25f6c09f0bf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Feb 9 00:28:38 2020 +0000

    Deny write access to hard drives

commit b50469294e1c90d210e8f1f8a8ede2de38b99027
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Feb 9 00:27:05 2020 +0000

    Deny write access to hard drives

commit 63fdd0312a81f878d266ae9197803ccbd6bc18df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:44:43 2020 -0500

    bumped changelog version

commit b4dfa2a6df12b1c3e6c8f4be2e4dd855388c51d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:44:13 2020 -0500

    man page

commit 613a4ef7a4a8d4dd1166159c83175fcc3ac5f40d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:38:03 2020 -0500

    actually better to keep for manual run without systemd
    
    Revert "`. /etc/default/networking` is not required."
    
    This reverts commit 4224cd9df854d505824611982d72d4e3b5e2c8ed.

commit 7e7098b30ebcfb7256886a293e1bbe4318876bb3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:36:31 2020 -0500

    chmod +x sbin/networking-aae

commit 0396fc17693429533ef84e0da613da5ba271c875
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 03:17:17 2020 -0500

    bumped changelog version

commit 4224cd9df854d505824611982d72d4e3b5e2c8ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 06:59:33 2020 -0500

    `. /etc/default/networking` is not required.
    
    `/lib/systemd/system/networking.service` already does `EnvironmentFile=-/etc/default/networking`.

commit 5c1db0689034ad7ed14505dae8f5dd4c1b29a177
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 06:58:05 2020 -0500

    renamed:    etc/apparmor.d/sbin.networking -> etc/apparmor.d/sbin.networking-aae
    
    for consistency
    
    https://forums.whonix.org/t/apparmor-for-complete-system-including-init-pid1-systemd-everything-full-system-mac-policy/8339/350

commit 73b40cd6ac4d37f154fb6ea1d07c9c66d8efd437
Merge: 67f6e7d 945e03e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 06:57:14 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 945e03ec97c9b0369ae9a9bb3a6357b07f288861
Merge: 3e613bf babe8f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 11:55:48 2020 +0000

    Merge pull request #25 from madaidan/net_admin
    
     Remove CAP_NET_ADMIN capability

commit 3e613bf73de7d00e4c30f66596c42ee6623b75fe
Merge: 67f6e7d cd9329f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 16 11:48:24 2020 +0000

    Merge pull request #36 from madaidan/remove-system.map
    
    Put remove-system.map permissions in its own profile

commit cd9329fc12abd8c03bdc8855e4d122761234b6dd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Jan 15 21:06:10 2020 +0000

    Add remove-system.map permissions

commit b87facfe5061a0df5f63089ed5e6f2871515adb0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Jan 15 21:04:55 2020 +0000

    Remove remove-system.map permissions from abstraction

commit 67f6e7d7c24385499753db5b58964eb4d492dca5
Merge: 97a05dd cf46c1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 15:56:41 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit cf46c1ec8cf794afca7107cb61fe88725640b680
Merge: 97a05dd 05baf7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 20:56:03 2020 +0000

    Merge pull request #35 from madaidan/dkms
    
    Don't allow any changes to dkms or hardened-kernel

commit 05baf7ce1b15f4956ccdbb8e9022da2af5b04243
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Jan 15 20:39:58 2020 +0000

    Don't allow any changes to dkms or hardened-kernel

commit 97a05ddd602929eae48b977690856e9e0b35a267
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 11:35:58 2020 -0500

    bumped changelog version

commit bff79d15058fa5047729843ea845b9267c23100a
Merge: 4ee3ffc 4afa23b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 11:03:26 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 4ee3ffc05f5df1bca2879689e6b5629a00d8ad28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 10:11:30 2020 -0500

    bumped changelog version

commit 4afa23b3bc6c2aa76a9f38e91418149a6172eee9
Merge: d1897fd 4dbb112
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 07:53:58 2020 +0000

    Merge pull request #34 from madaidan/systemd-shutdown
    
    Create systemd-shutdown profile and remove CAP_SYS_BOOT

commit 4dbb112e312e75a249372b48d5e0551ba27a5ea3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 20:23:34 2020 +0000

    Update systemd-shutdown

commit 08081d46f683f8f290df86258b0b2adf3f959ae1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 20:21:09 2020 +0000

    Fixes

commit 3fb3b3afe4b1a0f9a589c9a7d626b51610258790
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 20:19:10 2020 +0000

    Remove CAP_SYS_BOOT

commit 27078e79bcab6f05ee2dfe5f4c1726c2dce96321
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 20:17:27 2020 +0000

    Confine systemd-shutdown

commit b0948f5cdfb8e6a1e1b0e062f812f996bf57277a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 20:15:56 2020 +0000

    Create systemd-shutdown

commit e9de7ec9cf7468b7cf06bdd28f4b477c020d5abb
Merge: c6b8f49 d1897fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 14 14:20:27 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit d1897fd604585d049d7b00482e89846124a58a07
Merge: c6b8f49 b34ec4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 14 19:19:56 2020 +0000

    Merge pull request #33 from madaidan/remove-system.map
    
    Fix remove-system.map

commit b34ec4a3548e2677aba67772ec9b55d700c76793
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 19:14:43 2020 +0000

    Remove /boot and /usr/src deny rules

commit 306a0ae9a995687eec2aeed48d99b7383650f894
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Jan 14 19:13:08 2020 +0000

    Account for other System.map locations

commit c6b8f490a7b1b088d379ede126cd652937b5f621
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 14 09:18:43 2020 -0500

    bumped changelog version

commit 45dddf1a76c5747d5da5d72184bd382923ac0d23
Merge: ffbe487 67776b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 14 08:48:33 2020 -0500

    Merge remote-tracking branch 'origin/master'

commit 67776b0e399fd5f88bb07448fd6c6a04e8699343
Merge: ffbe487 118307c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 14 13:43:00 2020 +0000

    Merge pull request #32 from madaidan/fixes
    
    Fixes

commit 118307cec2081d8e635ce352d9215f1b09570d88
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 20:01:43 2020 +0000

    Deny access to /boot and /usr/src

commit 815273fb8e86acb438c32e5818bb9f2fef1645e2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 19:59:26 2020 +0000

    Typo

commit 7e49f4569b821518fa0e7153a6298c2abdf6e79f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 19:58:50 2020 +0000

    Various fixes

commit c8a516da3a68317dfc2c62b0ad3bcb58e2970402
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 19:44:19 2020 +0000

    Allow writing to /**/systemd/ for now

commit c71e44c3fbb7a1b86dc09c2490885bed443be79f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 19:35:17 2020 +0000

    Fix ordering

commit c287d09662a3d8610a311fc930c91b53c336c4e4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jan 13 19:34:23 2020 +0000

    pam-abort-on-locked-password fixes

commit ffbe4873836b7bc364f3bfee1fef56ba8fd9b0be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 15:09:10 2020 -0500

    bumped changelog version

commit 8c1c929d63beb99c1975fd7bee5e6e989b27f60d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 14:35:59 2020 -0500

    Revert "Revert "/usr/lib/security-misc/pam_only_if_login flags=(attach_disconnected) {""
    
    This reverts commit c7b66b03e7efd1373b992b217d01ebbeaf763f8e.

commit c7b66b03e7efd1373b992b217d01ebbeaf763f8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 14:35:09 2020 -0500

    Revert "/usr/lib/security-misc/pam_only_if_login flags=(attach_disconnected) {"
    
    This reverts commit 5170d8e929430205c92641a73d39ab1cbef8aa12.

commit 10d933fd589550340a5b3f14a139b532de11db66
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 09:35:11 2020 -0500

    bumped changelog version

commit 5170d8e929430205c92641a73d39ab1cbef8aa12
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 07:56:39 2020 -0500

    /usr/lib/security-misc/pam_only_if_login flags=(attach_disconnected) {
      #include <abstractions/kicksecure-shell-script>
    }
    
    /usr/lib/security-misc/pam-abort-on-locked-password flags=(attach_disconnected) {
      #include <abstractions/kicksecure-shell-script>
    }

commit dad14db22a091bccde983723859438795fff748f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 1 07:54:07 2020 -0500

    refactoring

commit 3768923982eb5d2b89042ebc876504d46dc4ae82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 24 18:26:38 2019 -0500

    bumped changelog version

commit 4d0334a5d19726ecf0b62ee134a248ef243769d7
Merge: bdd902c 7d64b2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 24 08:07:37 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit bdd902cda245300fca766f1fa9c47e7ce1919b46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 24 07:26:13 2019 -0500

    bumped changelog version

commit 7d64b2a74c237c74d9dd4a0b1eae05f824fcf91b
Merge: ea797fa f288c0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 24 11:02:34 2019 +0000

    Merge pull request #31 from madaidan/modules
    
    Prevent attackers from messing with kernel modules

commit ea797fab4e774265ec5b74c2c3ad711604b209ae
Merge: 73dc4f4 93aab89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 24 05:48:25 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 93aab89a4570884177a319ab6ce9979529def848
Merge: 73dc4f4 dee6665
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 24 10:47:06 2019 +0000

    Merge pull request #30 from madaidan/fixes
    
    Fixes

commit f288c0cc73d3757ddbd28973178ea2132de6b688
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 23 20:25:56 2019 +0000

     Prevent attackers from messing with kernel modules

commit d4caf9bed918ac0750fec6918c42b77c13056191
Merge: b965e86 73dc4f4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 23 20:24:54 2019 +0000

    Merge pull request #1 from Whonix/master
    
    .

commit b965e86bafcbb7ef0b886d914235e552c048e015
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 23 20:24:45 2019 +0000

    Update dangerous-files

commit ea23159f2b6e45cae50263d56f3ab53591ec262c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 23 20:20:48 2019 +0000

    Prevent attackers from messing with kernel modules

commit dee666599c6aca3cd09cfb20176b09f830fe0628
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 23 18:31:51 2019 +0000

    Fixes

commit d24c6d35e50e007156c4983f79a346c568e0e6a8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 23 18:31:50 2019 +0000

    Fixes

commit 73dc4f46501f004a249f208810838a334a96ef3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 02:41:08 2019 -0500

    bumped changelog version

commit 797e96fa2e57a412d2582edd369ca9a3df4c80d6
Merge: 5a229be 90a795b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 02:11:19 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 5a229be9b60a4716890dbf221d951489df2e1a81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 02:10:09 2019 -0500

    bumped changelog version

commit babe8f74f98cd3da6ca3b82a1812238154fc6c59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 05:23:04 2019 +0000

    networking-aae

commit 05189d07c3ab2e193c9364b8b643cf908508d2af
Merge: 4d65753 90a795b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 05:21:48 2019 +0000

    Merge branch 'master' into net_admin

commit 4d65753f7ddac98a3984d30e7d5435740df4fceb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 05:21:00 2019 +0000

    networking-aae

commit 44f7160a03a6bd11409419d29c2aa21e2e9ed08d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 19:05:17 2019 +0000

    Update 30_apparmor_profile_everything.conf

commit 72396340804798b00cd9187114201e2ff0707a2a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 18:55:37 2019 +0000

    Create 30_apparmor_profile_everything.conf

commit 43dc34b7990f36c465d2cf3531ced8a06a08314d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 18:55:02 2019 +0000

    Delete networking.service

commit 96ec4311662d25d512a8e76f9152b2f3fc36114c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 18:54:24 2019 +0000

    Rename networking to networking-aae

commit 6f79d7ed243d20cc06242c949652617922d74165
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 18:54:05 2019 +0000

    Licensing

commit 90a795bc1996df7f974661a67df1ea30da0092f8
Merge: 25eb17b bc3cc5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 18:28:51 2019 +0000

    Merge pull request #29 from madaidan/gnome
    
    Remove gnome abstraction

commit 25eb17b429fced55f9fa50f0fbf433c726ce40b6
Merge: 9ebb83b a66dc38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 18:28:18 2019 +0000

    Merge pull request #26 from madaidan/sys_time
    
    Remove CAP_SYS_TIME capability

commit bc3cc5c18aabde50486eba26933bf2170272b728
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 16:15:10 2019 +0000

    Remove gnome abstraction

commit 9ebb83ba8c4606f871f95651586adde3c0447dbf
Merge: 46101c8 fd1d94d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 10:34:05 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit fd1d94df00859d5df05eb6559958bb79524c0275
Merge: 48f9f26 9491a39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 15:32:53 2019 +0000

    Merge pull request #28 from madaidan/kernel
    
    Deny changes to /etc/kernel.d/

commit 9491a395e06e79e230e39f2ee84855c5cb58b6ad
Merge: 43225a5 48f9f26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 15:32:46 2019 +0000

    Merge branch 'master' into kernel

commit 48f9f26354d70257964c8081e433a97e5e1472be
Merge: 520d067 879b2b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 15:31:54 2019 +0000

    Merge pull request #27 from madaidan/init.d
    
    Deny access to init.d

commit 879b2b7b061a1ae02468bfe31af8cf5b8c71f367
Merge: 58c7621 520d067
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 15:31:45 2019 +0000

    Merge branch 'master' into init.d

commit 520d0678cb22a39a4a5b5073067df2c05a4234b1
Merge: 46101c8 b4237c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 15:28:20 2019 +0000

    Merge pull request #24 from madaidan/modprobe
    
    Prevent attackers from loading more modules

commit 43225a53868f5664a4333289e3241d683f312dcf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 15:12:33 2019 +0000

    Deny changes to /etc/kernel.d/

commit 58c7621671b4cba6ef5da1834b95325c13e840d1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:53:20 2019 +0000

    Deny access to init.d

commit a66dc381bd13decec60f742857db867a389a93a0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:35:43 2019 +0000

    Remove CAP_SYS_TIME capability

commit 23367cd5f1fd94a8a8a7f1c6ddb2c85ab4aff6e5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:07:29 2019 +0000

    Remove CAP_NET_ADMIN capability

commit a9db0189e05f783537d06cbb2a524f69ce785346
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:06:23 2019 +0000

    Create networking.service

commit 5e9690a2270b0632de378198dfba3fa2f25e5cc2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:05:20 2019 +0000

    Create sbin.networking

commit 334cd6c6bc333aef741aca1780b0e418f2fccbd8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:04:21 2019 +0000

    Create networking

commit 3a11dc7398c20f609d077b52aabd211cf1e466ec
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:03:43 2019 +0000

    Remove CAP_NET_ADMIN capability

commit b4237c8eade0989e9be9e0112c684a05bbeaf4b8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 22 14:00:50 2019 +0000

    Prevent attackers from loading more modules

commit 46101c866e8a93f78dcb6b48f833dc7fd8b64718
Merge: 56c2cfe 49ad3ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 15:17:03 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 49ad3ff2e52a118f8832c762afdcbaf490ea9dd3
Merge: 31d9cf0 b01e303
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 20:16:28 2019 +0000

    Merge pull request #23 from madaidan/systemd
    
    Prevent any changes to systemd

commit b01e303751ebced69956103b550577870116cabf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 20:12:03 2019 +0000

    Prevent any changes to systemd

commit 56c2cfe32845966b71f75047580f73c956c9d177
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 14:53:12 2019 -0500

    bumped changelog version

commit f91570e2306e595a42653ea8f12e64ac92f6905f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 14:25:15 2019 -0500

    lintian

commit 31d9cf0e9367436dc9f12aa336cacba274d86d8d
Merge: 2e9448e f28c777
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 19:24:14 2019 +0000

    Merge pull request #22 from madaidan/env-scrubbing
    
    Scrub the environment of apt

commit 2e9448e66e8d208c23c08a3c92554475fee864ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 14:22:16 2019 -0500

    bumped changelog version

commit f28c777a507c32e6941dfab140efc0f416bffb48
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 18:18:09 2019 +0000

    Scrub the environment of apt

commit 810bbdc3618a8a9a9127744e677499b7c363d3d8
Merge: d5c2d28 00654d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 10:14:56 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 00654d2b245a518ce33bb610a21699de328ad8b7
Merge: d5c2d28 63a6409
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 15:14:38 2019 +0000

    Merge pull request #21 from madaidan/debugfs
    
    Deny access to debugfs

commit 63a64090dcb1ee86b131281bc029d7ce7cedc05d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 15:12:30 2019 +0000

    Deny access to debugfs

commit a22e4cf2ebf934a6e15aef6a600ae2aa9ff5c81a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 15:11:43 2019 +0000

    Deny access to debugfs

commit d5c2d2809fa4565e856426be79cad3de6a6192a5
Merge: 243f936 09cdd1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 09:34:41 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 09cdd1b8e88bbdd6d81ee5d6776d8028a6c48edc
Merge: e4608c8 4c5ee3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 14:31:27 2019 +0000

    Merge pull request #20 from madaidan/module-loading
    
    Restrict module loading

commit e4608c8fc24146abb460844d71f9092e61a33c9e
Merge: fcad423 2401395
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 14:30:48 2019 +0000

    Merge pull request #19 from madaidan/superroot
    
    Don't include dangerous-files abstraction for superroot

commit fcad423a7c587030c6cae2df313b4b380b4b5888
Merge: 243f936 9e27748
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 14:30:23 2019 +0000

    Merge pull request #18 from madaidan/dangerous-files
    
    Deny access to all apt/dpkg/apparmor config files

commit 4c5ee3da493767a71f6364897842e2c3ab763e6b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 13:59:04 2019 +0000

    Confine systemd-modules-load

commit e6ab634399c9e1c9a4c13b0a882641ab72eadbf2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 13:57:47 2019 +0000

    Deny module loading

commit 32c01ee9a8ff882974ae5563ce2e19d3b0e93998
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 13:57:18 2019 +0000

    Create systemd-modules-load

commit 2401395b659ca7da79290070fde251ce83d3bb86
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 13:40:22 2019 +0000

    Don't include dangerous-files for superroot

commit f16f3f8255e9574f0a2c5ad3071c09def9b02bc5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 13:39:58 2019 +0000

    Don't include dangerous-files in the init-systemd abstraction

commit 9e2774848077b6a9ae82d3b53211d5905add3aa0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 13:29:58 2019 +0000

    Deny access to all apt/dpkg/apparmor config files

commit 243f93683daeecbcd4708e2f9e28559d41050abf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 05:30:49 2019 -0500

    bumped changelog version

commit e08cf6448210e925ddfb9eaf8970f87ac73c573f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 03:58:56 2019 -0500

    do not do anything if kernel parameter noape is set
    
    https://forums.whonix.org/t/apparmor-for-complete-system-including-init-pid1-systemd-everything-full-system-mac-policy/8339/269

commit 34645711fdd32e343f661104be4a8f16a67b0566
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 03:52:37 2019 -0500

    fix, whonix- -> kicksecure-

commit c0be53fbae47cb120f80137316693ef547492fcc
Merge: 5f50aa7 96a52e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 03:52:07 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 96a52e052594db0cfce433cf2c31412a64f2dda9
Merge: f2acd46 6a6685f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 08:50:34 2019 +0000

    Merge pull request #17 from madaidan/sysctl
    
    Deny changing sysctl values

commit f2acd4683306ceaaf710b3944758ebd0a908b649
Merge: a6e8aeb faa9bc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 08:48:46 2019 +0000

    Merge pull request #16 from madaidan/mount-options
    
    Mount /sys/kernel/security with nosuid,nodev,noexec

commit a6e8aeb445f6c389513100effb9c2b4a9df04e4e
Merge: bae0192 b3b6dd1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 08:48:27 2019 +0000

    Merge pull request #15 from madaidan/kicksecure-shell-script
    
    Kicksecure shell script profile

commit bae0192aed70b079e34debc4d83ff3ee219fe35f
Merge: 5f50aa7 72e6704
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 21 08:47:31 2019 +0000

    Merge pull request #14 from madaidan/vport
    
    Give access to all vport devices

commit b3b6dd1c850108879fc779bff69569c1b519968d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:23:02 2019 +0000

    Allow executing /sbin/sysctl

commit 1466d33fec71a1b17d7b7fd6a722f01d3253498e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:14:47 2019 +0000

    Allow chaning kernel.panic_on_oops sysctl

commit 01c7e6fc78711c92a4b000a4850cf1ebbd7df999
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:13:41 2019 +0000

    Add panic-on-oops

commit 6a6685f115ce7f83d8ca991405a3f86dac64825e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:10:25 2019 +0000

    Remove TODO

commit 4561c32a6025f4d2f003bef8761ea63da0b5ee7f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:09:54 2019 +0000

    Run systemd-sysctl confined

commit a0eac6631dc952f233d21aea0dfd0b410ae4c6ad
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:09:01 2019 +0000

    Create systemd-sysctl

commit 4146726075cd24f14cb6f66877419f6cb3e58a39
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:07:58 2019 +0000

    Allow superroot to change sysctl values

commit 4ed95d3a7d6b1c418618b74b2899529e73aa3b2a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:07:30 2019 +0000

    Deny changing sysctl values

commit 438670ebc12c01bf28b25e69b01bc6ed16a3675a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 21 00:06:43 2019 +0000

    Deny changing sysctl values

commit faa9bc25f4154eb9b6ca694954e046064a11cae8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Dec 20 22:50:17 2019 +0000

    Mount /sys/kernel/security with nosuid,nodev,noexec

commit a25c05d6cb2ed14efd50b9997ec0c6b4dc6686dd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Dec 20 22:43:13 2019 +0000

    Rename whonix-shell-script to kicksecure-shell-script

commit 0ce157b8c4e081eb1a9a89b4c1359490a1b58ca2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Dec 20 22:42:57 2019 +0000

    Rename whonix-shell-script to kicksecure-shell-script

commit 1b4d102a047df4c7df64e3c43c25a163d9d66c3b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Dec 20 22:42:15 2019 +0000

    Create whonix-shell-script

commit a0d718e38f7b6d0b59e7165ec6b192a9b393550a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Dec 20 22:41:58 2019 +0000

    Create whonix-shell-script

commit 72e6704fc36b7c7b3a296987d613fd20ad16e6e8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Dec 20 20:06:23 2019 +0000

    Give access to all vport devices

commit 5f50aa7ed533b00272b9afccf479837923adaa3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 07:45:02 2019 -0500

    bumped changelog version

commit 28ee0dc01a1b016eccb8df2210272001d3b13b07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 07:44:20 2019 -0500

    update path to fix lintian warning

commit a823b8e19382ffc6a5bcc2e0214fe69800813a49
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 07:23:13 2019 -0500

    comment

commit 24f36fb0aa2be15b7a8f5f716840367b9c16c7b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 07:22:16 2019 -0500

    rapt: introduce packages_refuse_install
    
    and add grub-output-verbose to it
    
    https://forums.whonix.org/t/disable-grub-output-verbose-by-default/8656

commit 4529bbc1f00555990071e4b6ff4ba6923eedd8ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 07:07:03 2019 -0500

    bumped changelog version

commit 444d0e21c7fea919d7953c4927769db4c06a2d12
Merge: dbeaeb7 e9f39e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 03:32:09 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit e9f39e2744581872b1531c6b42de2e483d7b90ca
Merge: 1290328 6138542
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 08:31:21 2019 +0000

    Merge pull request #13 from madaidan/apt-fixes
    
    Apt fixes

commit 129032894ad5b9da9ca648020142db371071a1ee
Merge: dbeaeb7 e7e1cf1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 20 08:31:12 2019 +0000

    Merge pull request #12 from madaidan/boot-modes
    
    Boot modes

commit 6138542ab32d40efc772130aeefdf474aad428c3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 19 18:41:55 2019 +0000

    Apt fixes

commit dbeaeb7d12b12687cb8beb9b93f31b2fe5ace286
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 17 01:28:53 2019 -0500

    add more /etc/ld.so.* files / folders

commit e28f37973d8388cf6075e79901587493fb2c95fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 17 01:24:31 2019 -0500

    remove trailing spaces

commit 186cebe4e01278b791ae0dfd9cb2b4b6102e0e6e
Merge: b1eb4c7 55387c2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 17 01:24:00 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 55387c2bd779f12ab4dc57f4c6498c3e0415bd35
Merge: b1eb4c7 3bd3cac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 17 06:22:57 2019 +0000

    Merge pull request #11 from madaidan/preload
    
    Deny writing to ld.so.preload

commit 3bd3caca750ff7e6ca801139b9d979b0b0cb8254
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Dec 16 21:56:45 2019 +0000

    Deny writing to ld.so.preload

commit b1eb4c773a3122fe97a83c2b4b38a99e00cb3dca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 16 06:25:58 2019 -0500

    bumped changelog version

commit e7e1cf1b9f03c400a45c843e865cc2f354faec23
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 14 19:59:57 2019 +0000

    Shorter options

commit c2c4db48d8afed01e20fc0683a6949ed4af252d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 13 13:05:01 2019 -0500

    check if modified grub.cfg is valid
    
    https://forums.whonix.org/t/apparmor-for-complete-system-including-init-pid1-systemd-everything-full-system-mac-policy/8339/229

commit b3817cde78f057e8e974961211006bb97cef42a9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 13 12:44:49 2019 -0500

    implement grub default boot menu entries:
    
        PERSISTENT mode USER (For daily activities.)
        LIVE mode USER (For daily activities.)
        PERSISTENT mode ADMIN (For software installation.)
        PERSISTENT mode SUPERADMIN (Be very cautious!)
        Recovery PERSISTENT mode SUPERADMIN (Be very cautious!)
    
    https://forums.whonix.org/t/multiple-boot-modes-for-better-security-persistent-root-persistent-noroot-live-root-live-noroot/7708/32

commit 3830879241bad7d0de76bef7b85f056bf1ed451e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 12 20:20:59 2019 +0000

    Add boot modes

commit 55c9984ec86f82beb8768ff56cfef7b46419d2d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 10 11:42:08 2019 -0500

    bumped changelog version

commit b8eeed45334e5797c124d2c91c44a87fb2b9a80c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 10 02:08:38 2019 -0500

    pam_apparmor integration

commit ed369eafe895c9a3630b016f29a4e23c319843b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 9 08:24:26 2019 -0500

    bumped changelog version

commit 7c8d6a58db9f527e1f8300ee9d6146a3d15a3a3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 9 08:24:08 2019 -0500

    readme

commit 897ce0f16d034372e5e568cf0aeb4ae08a28e2ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 9 04:14:00 2019 -0500

    description, lintian

commit feb12df4ac1961cf641b7087a795831e82b3a385
Merge: 2b0423b fe5b7ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 8 15:37:05 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit fe5b7ec014f4925e9ed2d977893390b357bcd57b
Merge: 2b0423b ee6c6ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 8 20:36:27 2019 +0000

    Merge pull request #10 from madaidan/kernel-image
    
    Deny access to kernel images and System.map files

commit ee6c6ba11c43858e8809542c0811ff1a782c73e2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Dec 8 18:09:56 2019 +0000

    Deny access to kernel images and System.map files

commit 2b0423b7beefaa4eb706858ceb72d7883d309864
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 8 04:04:27 2019 -0500

    bumped changelog version

commit 86b538f1a4e899adc2655c1ddcda9a01d2b919a9
Merge: b4ce87e dcbbd42
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 7 11:29:17 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit dcbbd42de735613eaaffde6fbd3432b56d91ac4a
Merge: b4ce87e 8f45d80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 7 16:28:09 2019 +0000

    Merge pull request #9 from madaidan/fixes
    
    Fixes

commit 8f45d803c1bfab703360d13b141f4d4cc0411c85
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 7 14:00:26 2019 +0000

    Remove base abstraction

commit 6def1d67f7cf7b9bc1af3151f5389a3d2fdde354
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 7 13:56:36 2019 +0000

    Some fixes

commit 3522dd9d550022633d78adfd745d0c392f42fb3a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 7 13:27:03 2019 +0000

    Confine rapt instead

commit fcc474049e6871f8504e9ceb0d8a34eeb8cb5825
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Dec 7 13:25:29 2019 +0000

    Allow --fix-broken

commit b4ce87e75eeb0358bd122a12b9d4f6b2d6953435
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:42:16 2019 -0500

    bumped changelog version

commit b872f2c100fc0b09135bd108ec1ba11fdbee4de9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 6 12:41:48 2019 -0500

    http://forums.whonix.org/t/apparmor-for-complete-system-including-init-pid1-systemd-everything-full-system-mac-policy/8339/171

commit e2a8f98025e627b4f3adac9f00b75cfb0901b396
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 03:14:44 2019 -0500

    bumped changelog version

commit b5e35d6f263bac2b5c45758a367fe9bb3a09c008
Merge: 1914c56 7cb7974
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 26 13:02:21 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 7cb79748f1869c5fc98f7fa8fc8c8c713ac4b970
Merge: 1914c56 0f38aa8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 26 18:01:15 2019 +0000

    Merge pull request #8 from madaidan/apt-fixes
    
    Fix apt

commit 0f38aa89228d71fa5480cbcf3ba758463b406ad1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Nov 26 17:17:48 2019 +0000

    Fix apt

commit 1914c5618331cc678fc13264a8bf04e7c09a1d4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 25 08:42:46 2019 +0000

    bumped changelog version

commit 1f219d62907baac2c0edfb9dc21e03022ca4ac4e
Merge: a7a55e2 9d40c32
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 15:48:25 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit 9d40c325c22f14cd5fff2075456b7c747a2ef9f6
Merge: a7a55e2 31283d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 15:48:07 2019 +0000

    Merge pull request #7 from madaidan/qubes
    
    Qubes fixes

commit 31283d681629fde5a7650be48f9f629dfeaed37a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 23 15:44:10 2019 +0000

    Qubes fixes

commit a7a55e268e1fc5dfcf8ef664678d5b9e9e79ad20
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 14:06:40 2019 +0000

    bumped changelog version

commit 3e2f6fe2bb57392184f869fa5c984f3debd0dd8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 14:06:23 2019 +0000

    readme

commit c5970fc6bfa4b30cfa9888bc87db8f47092ca27a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 23 05:54:22 2019 -0500

    description

commit f3140ea2153fcee68a901ef0c86d552d6fa0ec3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 20 20:53:12 2019 +0000

    bumped changelog version

commit 4ca5cff294d56b70e551553919d4ec0477d951e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 20 20:52:38 2019 +0000

    fix lintian warnings

commit 2d88545f8e12c2da2995b7bafc7a8ea0bb31361d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 20 20:31:05 2019 +0000

    bumped changelog version

commit 42a61302fee9ed580e4f177e3fff4b05bde870c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 20 03:09:48 2019 -0500

    rapt: fix apt update

commit b81d82e68152f35b033d7396d7d6edb6063ac85b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 20 02:27:03 2019 -0500

    comment

commit 77a6b5bb2c7360ffb806b69686914ea3328d7ad5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 18:28:39 2019 -0500

    not needed

commit 0a34b4800d4c3cc6d663ddb4935782c154a125e2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 18:25:23 2019 -0500

    initial implementation of restricted APT (rapt)

commit ed470b4ecde76c0f9ca52bd8fa76b77303e6ace1
Merge: a87ba4c bf88b9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 17:48:41 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit bf88b9c64474aee5554f2372ef6bcb60b49be69e
Merge: a87ba4c dc7a4b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 22:48:21 2019 +0000

    Merge pull request #6 from madaidan/kvm
    
    KVM fix

commit dc7a4b29e1062b363a68ff12d5a0b4e540506786
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Nov 19 20:14:42 2019 +0000

    KVM fix

commit a87ba4c451eda3c3706cc2042ab7870a58e1b8a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 10:10:53 2019 +0000

    bumped changelog version

commit 0c7193b2565c844abf0dbc62ea51f815dbaa4465
Merge: c4f7fd6 71f321a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 17 11:21:11 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 71f321a5884baf2296cb502963e5ed91aeccaff1
Merge: c4f7fd6 5c89c5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 17 16:20:51 2019 +0000

    Merge pull request #5 from madaidan/remounting
    
    Allow remounting

commit c4f7fd6c94a210470d931572a5d749c793e7d409
Merge: 798f071 408e81e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 16 10:00:29 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit 408e81e8349e21a7310fc6ab6ef039c6798bfc01
Merge: 798f071 f03230f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 16 15:00:03 2019 +0000

    Merge pull request #4 from madaidan/ssl-certs
    
    Deny write access to SSL certificates

commit 5c89c5df0cf2c9fb6ca5be1fa6264a23f4dacccd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 16 14:51:38 2019 +0000

    Allow remounting

commit f03230fc0b90ee44b8a7c1f6b7b4e47bf83f2f8e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 16 14:42:01 2019 +0000

    Deny write access to SSL certificates

commit 798f0714474bacbb5bb087bc79535690d5f99f58
Merge: 19cb0b3 fe361aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 15 02:20:34 2019 -0500

    Merge remote-tracking branch 'origin/master'

commit fe361aa997c7d4de52b622dd3a585c814ef8b11c
Merge: 19cb0b3 7595f90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 15 07:20:05 2019 +0000

    Merge pull request #3 from madaidan/master
    
    Relax ptrace/signal permissions

commit 7595f9047e3ecc801b9525523630c15b49ac59f8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Nov 14 19:32:54 2019 +0000

    Relax ptrace/signal permissions

commit 19cb0b3ebb0f887a271447c4f98aea93db06ec4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:45:08 2019 +0000

    bumped changelog version

commit fb0fd205748b7b20968c6a05f1e5cb1f016be12b
Merge: 7ad4b2f 72931b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:44:36 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit 72931b1ca35c76bc1d84123d399b684e13931834
Merge: 7ad4b2f d0c0afd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:43:54 2019 +0000

    Merge pull request #2 from madaidan/improve-apparmor
    
    Improve profile

commit d0c0afd9b651bb67fbec290860d86d85587b4a3a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 16:36:54 2019 +0000

    Depend on apparmor-profile-torbrowser

commit efd3296ed27b769637d4766f6087aa17b9d16108
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 16:35:57 2019 +0000

    Improve profile

commit 7ad4b2fb0d9e7aedb247b6e93daf3e6559fae4a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:04:51 2019 +0000

    bumped changelog version

commit 5c939dcc60b74d1b57e1fdc97021702b1c0d2c6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 16:03:57 2019 +0000

    readme

commit 8e6d4c41695aa81364412dd7f38cbb00db8862cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 15:59:44 2019 +0000

    fix lintian warnings

commit e60a973e021c08b7f86434f6cc18a80aac2f0674
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 15:59:27 2019 +0000

    apparmor debhelper integration

commit f1df167de05f3d2f88838366d661d039c8be1716
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 15:49:28 2019 +0000

    fix lintian warning

commit 6c6745018276616f29e6d17d2405571bd84bae7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 15:42:14 2019 +0000

    add changelog.upstream

commit 4535cd1f1f7e9bf82b9a5037542655e69f60ae1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 15:42:03 2019 +0000

    chmod +x
    
    to fix lintian warning

commit 4b5fd6c6c900678f4886728042189c3616533c10
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 11:28:50 2019 -0400

    rename scripts to avoid potential future name conflict

commit 6665a49fefa168f98927e3c6162c94a2374e1f3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 11:27:57 2019 -0400

    add /var/lib/dpkg/info/** to dangerous-files

commit 2014ff22fc8d38a480cda778ddad8dc02a3badbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 11:25:37 2019 -0400

    copyright

commit 97e265db9131905db973c7469eb31d9bc986b364
Merge: 11b214f 90a3c7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 11:24:33 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 90a3c7bd400384c91d3c1c630128fe3d1b8b1d4d
Merge: 11b214f 3cea22f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 15:23:30 2019 +0000

    Merge pull request #1 from madaidan/apparmor
    
    Add profiles

commit 11b214f3ebfdfed0f0d8727cabb92afdb5f9bbf1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 11:22:59 2019 -0400

    trigger initramfs update
    
    activate-noawait update-initramfs

commit 3cea22fddee8dcba89d812cf3f49ad3419600480
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:12:46 2019 +0000

    Licensing

commit 836ea79544fadacbebea965e532820186ff46844
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:12:34 2019 +0000

    Licensing

commit 0bd299f47788fdd01253f410084738167060e09a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:12:02 2019 +0000

    Licensing

commit 29b4ebd55a5cc2e6829bab2d102b1375415a0006
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:11:21 2019 +0000

    Update apt-get

commit f627ce32b6dbbd50b8d3d21c1d9721e11950fa05
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:11:09 2019 +0000

    Licensing

commit 11495973bfcae2ed2a031c41c48e6568436af842
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:05:01 2019 +0000

    Create dangerous-files

commit 83238d5f7e8226a7b8355ef505b55515b5ada078
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:04:30 2019 +0000

    Create apt-get

commit 2400b9258151599e573ba9de589e1b8dc7218f82
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:04:08 2019 +0000

    Create init-systemd

commit 49d1505d6ea762147cbe96d9a10250089d816397
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:03:23 2019 +0000

    Create apparmor

commit 539b0875def0131caca2eaae61a81cb5acec15ec
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 31 15:02:51 2019 +0000

    Create apparmor

commit 703469cbbe509d3e17b0b6725e267d0ee13988c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 31 10:57:49 2019 -0400

    initial commit
